%define apache apache1

Name: mod_security
Version: 1.8.7
Release: alt1.M24.1

Summary: Tighten web applications security for Apache
License: GPL
Group: Security/Networking

Url: http://www.modsecurity.org
Source0: %url/download/modsecurity-%version.tar.gz
Source1: %name.conf
Source2: %name-README.ALT

Requires: apache
Conflicts: apache2
# Automatically added by buildreq on Wed Jul 20 2005
BuildRequires: apache-devel

%description
Mod_security is an Apache 1.x/2.x module whose purpose is to tighten the Web
application security. Effectively, it is an intrusion detection and prevention
system for the web server.

At the moment its main features are:
* Audit log; store full request details in a separate file, including POST
payloads.
* Request filtering; incoming requests can be analysed and offensive requests
can be rejected (or simply logged, if that is what you want). This feature
can be used to prevent many types of attacks (e.g. XSS attacks, SQL
injection, ...) and even allow you to run insecure applications on your
servers (if you have no other choice, of course).

Note: this package contains only Apache 1.x module.

%prep
%setup -q -n modsecurity-%version

%build
cd %apache
%apache_apxs -c mod_security.c

%install
%__install -pD -m644 %apache/%name.so %buildroot/%_libdir/apache/%name.so
%__install -pD -m644 %SOURCE1 %buildroot/%apache_addonconfdir.d/%name.conf
%__install -pD -m644 %SOURCE2 README.ALT

%post
%_sbindir/apachectl reload

%postun
%_sbindir/apachectl reload

%files
%_libdir/apache/%name.so
%config(noreplace) %apache_addonconfdir.d/%name.conf
%doc CHANGES README* modsecurity-manual.pdf httpd.conf.example-minimal httpd.conf.regression-v1
%doc httpd.conf.regression-v2
%doc util
%doc tests

%changelog
* Wed Aug 24 2005 Michael Shigorin <mike@altlinux.org> 1.8.7-alt1.M24.1
- built for ALM2.4

* Wed Aug 24 2005 Michael Shigorin <mike@altlinux.org> 1.8.7-alt2
- fixed config installation (should really go to addonconfdir.d/)
- added README.ALT
- spec cleanup

* Wed Jul 20 2005 Vladimir V Kamarzin <vvk@altlinux.ru> 1.8.7-alt1
- Initial build for Sisyphus
